View Issue Details

IDProjectCategoryView StatusLast Update
0018297LazarusLCLpublic2011-03-20 14:53
ReporterEdinAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWIN XP SP2OS Version
Product Version0.9.28.2Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0018297: SpinEdit Drawing Error on a PageContol TabSheet
DescriptionWhen placed on a PageControl TabSheet SpinEdit starts showing weird drawing errors after a few clicks. The Error is a few lines black(font color) and sometimes blue(selection color) that are drawn between arrows (spin). The lines being drawn are not always the same, sometimes 2 sometimes 3, and they change position too.

AFAIK, This error doesnt appear when spinedit is on a form, panel or even tabcontrol, only on a PAGEcontol.

See Attached image for examples of the error.
Steps To ReproducePut a SpinEdit on a PageControl-TabSheet and click a few times. The time for errors to appear might vary but it wont take more that a 10 seconds or so.
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

2010-12-22 20:09

 

spineditlazbug.jpg (36,989 bytes)
spineditlazbug.jpg (36,989 bytes)

Vincent Snijders

2010-12-22 20:57

manager   ~0044504

Can you test with a snapshot (Lazarus 0.9.29)?

Edin

2010-12-22 21:48

reporter   ~0044505

Tested. Still there.

Paul Ishenin

2011-03-16 04:27

manager   ~0046630

As I remember that was fixed in the mean time. Please retest with 0.9.31 and close if it works ok.

Edin

2011-03-20 14:53

reporter   ~0046704

Tested with
Lazarus-0.9.31-29921-fpc-2.4.3-20110320-win32.exe
Works!

Issue History

Date Modified Username Field Change
2010-12-22 20:09 Edin New Issue
2010-12-22 20:09 Edin File Added: spineditlazbug.jpg
2010-12-22 20:09 Edin Widgetset => Win32/Win64
2010-12-22 20:56 Vincent Snijders LazTarget => 1.0
2010-12-22 20:56 Vincent Snijders Status new => acknowledged
2010-12-22 20:56 Vincent Snijders Target Version => 1.0.0
2010-12-22 20:57 Vincent Snijders Note Added: 0044504
2010-12-22 20:57 Vincent Snijders Status acknowledged => feedback
2010-12-22 21:48 Edin Note Added: 0044505
2010-12-22 22:28 Vincent Snijders Status feedback => acknowledged
2011-03-16 04:27 Paul Ishenin Status acknowledged => resolved
2011-03-16 04:27 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-03-16 04:27 Paul Ishenin Resolution open => fixed
2011-03-16 04:27 Paul Ishenin Assigned To => Paul Ishenin
2011-03-16 04:27 Paul Ishenin Note Added: 0046630
2011-03-20 14:53 Edin Status resolved => closed
2011-03-20 14:53 Edin Note Added: 0046704